﻿@font-face {
  font-family: "Rubik";
  font-style: normal;
  font-weight: 300;
  src: local("Rubik"), url(../fonts/rubik/Rubik-Light.ttf) format("truetype");
}
@font-face {
  font-family: "Rubik";
  font-style: normal;
  font-weight: 400;
  src: local("Rubik"), url(../fonts/rubik/Rubik-Regular.ttf) format("truetype");
}
@font-face {
  font-family: "Rubik";
  font-style: normal;
  font-weight: 500;
  src: local("Rubik"), url(../fonts/rubik/Rubik-Medium.ttf) format("truetype");
}
@font-face {
  font-family: "Rubik";
  font-style: normal;
  font-weight: 700;
  src: local("Rubik"), url(../fonts/rubik/Rubik-Medium.ttf) format("truetype");
}
html,
body {
  font-family: "Rubik", Arial, sans-serif;
  background-color: #F2F2F2;
  color: #595959;
}

h1 {
  font-size: 24px;
}

#litter-assistant h2,
#litter-assistant h3,
#litter-assistant h4,
#litter-assistant h5 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

a,
.btn-link {
  color: #803500;
  text-decoration: none;
}
a:hover,
.btn-link:hover {
  color: #A66844;
}

.btn:disabled {
  background-color: lightgray;
  border-color: lightgray;
  opacity: 1;
}

.no-decoration {
  text-decoration: none !important;
}

.btn-primary {
  color: white;
  background-color: #803500;
  border-color: #803500;
  border-radius: 0.6rem;
}
.btn-primary:hover {
  background-color: #BF9780;
  border-color: #BF9780;
}
.btn-primary:focus, .btn-primary.focus, .btn-primary:active {
  background-color: #BF9780 !important;
  border-color: #BF9780 !important;
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #BF9780 !important;
}

.btn-secondary {
  color: white;
  background-color: #A66844;
  border-color: #A66844;
  border-radius: 0.6rem;
}
.btn-secondary:hover {
  background-color: #A66844;
  border-color: #BF9780;
}
.btn-secondary:focus, .btn-secondary.focus, .btn-secondary:active {
  background-color: #A66844 !important;
  border-color: #BF9780 !important;
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #BF9780 !important;
}

.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #BF9780;
}

.no-border-button {
  outline: none;
  box-shadow: none;
  border: hidden;
  background-color: transparent;
}
.no-border-button:focus {
  outline: none;
  box-shadow: none;
  border: hidden;
}

.sidebar {
  background: #A66844;
}
@media screen and (max-width: 1199.98px) {
  .sidebar #app-sql-db {
    position: absolute;
    left: 78px;
    bottom: 2px;
  }
  .sidebar #database-switcher {
    position: absolute;
    right: 0;
    bottom: 14px;
  }
  .sidebar #database-switcher label {
    display: none;
  }
  .sidebar #database-switcher .col-md-7 {
    width: auto;
  }
}

.page {
  position: relative;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
  padding-bottom: 5rem;
}

.online {
  background-color: #f7f7f7;
}

.offline {
  background-color: #ff4da6;
}

#desktop-footer {
  display: none;
  background-color: white;
  border-top: 2px solid #BF9780;
}
#desktop-footer .desktop-centered {
  max-width: 1440px;
  height: 128px;
  margin: 0 auto;
  padding: 24px;
}

#desktop-header {
  display: none;
  background-color: white;
  border-bottom: 2px solid #BF9780;
}
#desktop-header .desktop-centered {
  max-width: 1440px;
  height: 100px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#desktop-header .desktop-centered #brand img {
  height: 64px;
  width: auto;
  margin-left: 25px;
}
#desktop-header .desktop-centered #brand,
#desktop-header .desktop-centered .mainnav-desktop,
#desktop-header .desktop-centered #user-menu-desktop,
#desktop-header .desktop-centered #main-nav {
  position: relative;
}
#desktop-header .desktop-centered #user-menu-desktop {
  align-self: start;
  margin-top: 18px;
}
#desktop-header .desktop-centered #main-nav {
  background: none;
}
#desktop-header .desktop-centered #main-nav .nav-item {
  margin-left: 24px;
  padding-left: 24px;
  border-left: 2px solid #BF9780;
}
#desktop-header .desktop-centered #main-nav .nav-item:first-child {
  border: none;
}
#desktop-header .desktop-centered #main-nav .nav-item .img-icon {
  filter: none;
  height: 22px;
}
#desktop-header .desktop-centered #main-nav .nav-link-content {
  display: flex;
  align-items: center;
}
#desktop-header .desktop-centered #main-nav .nav-link-label {
  font-size: 1rem;
  color: #595959;
  padding-left: 4px;
}
#desktop-header .desktop-centered #main-nav .nav-link-label:hover {
  color: #A66844;
}

article #title-bar {
  margin: -18px -24px;
  /*fix for wrapped titlebar*/
}

.progress-bar.bg-secondary {
  background-color: #BF9780 !important;
}
.progress-bar.bg-primary {
  background-color: #803500 !important;
}

.text-primary {
  color: #803500 !important;
}

.text-detail {
  color: lightgray;
}

.form-control {
  border-radius: 0.6rem;
  border-color: lightgray;
}

.form-check-input {
  font-size: 32px;
  border: 2px solid #A66844;
  border-radius: 0.6rem;
}
.form-check-input:focus {
  border-color: #A66844;
}
.form-check-input:checked {
  background-color: #A66844;
  border-color: #A66844;
}

.form-check-label {
  line-height: 32px;
}

.form-switch {
  padding-left: 0;
}
.form-switch .form-check-input {
  margin-left: 0;
  margin-top: 0;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23BF9780'/%3e%3c/svg%3e");
}
.form-switch .form-check-input:checked {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23FFFFFF'/%3e%3c/svg%3e");
}
.form-switch .form-check-label {
  margin-left: 10px;
}

.border {
  text-decoration: none !important;
  border: none !important;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  border-radius: 0.6rem;
  padding: 1rem;
  background-color: white;
  color: #595959;
}

.list-item-icon {
  color: #BF9780;
}

.img-icon {
  height: 48px;
  width: auto;
}

.text-bg-primary {
  /*overwrite bootstrap importants*/
  color: white !important;
  background-color: #A66844 !important;
}

.text-bg-secondary {
  /*overwrite bootstrap importants*/
  color: white !important;
  background-color: rgba(191, 151, 128, 0.3764705882) !important;
}

.page-link.active,
.active > .page-link {
  /*overwrite bootstrap importants*/
  color: white !important;
  background-color: #803500 !important;
  border-color: #803500 !important;
}

.page-link {
  /*overwrite bootstrap importants*/
  color: #803500 !important;
}

.badge {
  cursor: pointer;
}

.dropdown button i {
  font-size: 20px;
  color: #803500;
}

.searchbar {
  background-color: #F2F2F2;
  position: sticky;
  top: -1px;
  margin: -6px -24px;
  padding: 6px 24px;
}
.searchbar.sticky {
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.12);
}

.toast {
  background-color: #803500 !important;
}

#selection-info strong {
  color: #803500;
}

.centered-content {
  display: flex;
  justify-content: start;
  align-items: center;
}

.readonly-value {
  font-weight: bold;
  padding: 8px;
  background-color: lightgray;
  border-radius: 0.6rem;
}

.validation-message {
  color: rgb(168, 59, 59);
  font-weight: bold;
}

.summary-details ul {
  list-style-type: none;
}
.summary-details .value-list li {
  display: flex;
  padding: 8px;
}
.summary-details .value-list li:nth-child(odd) {
  background-color: rgba(0, 0, 0, 0.05);
  border-radius: 3px;
}
.summary-details .value-list li .label {
  flex: 1;
}
.summary-details .value-list li .unit {
  min-width: 32px;
  color: gray;
  margin-left: 4px;
}
.summary-details .value-list li .value {
  font-weight: bold;
}

.nav-tabs .nav-link {
  color: #803500;
}

.mobile-disposition-tabs .nav-tabs {
  display: flex;
  flex-wrap: nowrap;
}
.mobile-disposition-tabs .nav-tabs .nav-item {
  flex: 1 1 0%;
  min-width: 0;
}
.mobile-disposition-tabs .nav-tabs .nav-link {
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.mobile-disposition-subtabs .nav-tabs {
  display: flex;
  flex-wrap: nowrap;
}
.mobile-disposition-subtabs .nav-tabs .nav-item {
  flex: 1 1 0%;
  min-width: 0;
}
.mobile-disposition-subtabs .nav-tabs .nav-link {
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

@media (min-width: 1200px) {
  .summary-details .value-list {
    display: inline-block;
  }
  .summary-details .value-list li {
    min-width: 568px;
  }
  .summary-details .value-list li .label {
    flex: initial;
    min-width: 368px;
  }
  .summary-details.narrow .value-list {
    display: block;
    padding: 0;
  }
  .summary-details.narrow .value-list li {
    min-width: 0;
    width: 100%;
  }
  .summary-details.narrow .value-list li .label {
    min-width: 40%;
  }
}
#cancel-qr-code {
  position: fixed;
  right: 0px;
  top: 46px;
}
#cancel-qr-code i {
  font-size: 2.8rem;
  line-height: 1;
}

.timeline-entry {
  overflow: hidden;
  position: relative;
}
.timeline-entry .vertical-line {
  border-left: 0.2rem solid lightgray;
  height: 100vh;
  position: absolute;
  left: 3.5rem;
}
.timeline-entry .horizontal-line {
  border-left: 1rem solid lightgray;
  height: 0.2rem;
}
.timeline-entry .border {
  position: relative;
  margin: 1rem 0;
}

.timeline .timeline-entry:first-of-type .border {
  margin-top: 2rem;
}
.timeline .timeline-entry:first-of-type .horizontal-line {
  margin-top: 1rem;
}

@media (min-width: 1200px) {
  html,
  body {
    font-size: 1rem;
  }
  h2 {
    font-size: 1.5rem;
  }
  h3 {
    font-size: 1.3rem;
  }
  h4 {
    font-size: 1.2rem;
  }
  h5 {
    font-size: 1.1rem;
  }
  .page {
    flex-direction: row;
    background-image: url(/img/backgrounds/background-desktop.jpg);
    background-size: cover;
    background-color: #F2F2F2;
    background-position: center;
    background-attachment: fixed;
    min-height: calc(100vh - 228px);
  }
  .page .sidebar,
  .page #main-nav {
    display: none;
  }
  article {
    padding-left: 2rem !important;
    padding-right: 1.5rem !important;
  }
  .hide-on-desktop {
    display: none;
  }
  main {
    max-width: 1440px;
    margin: 0 auto;
  }
  .fab {
    right: calc(50vw - 720px) !important;
    bottom: calc(128px + 36px) !important;
  }
  #title-bar {
    background-color: transparent !important;
    color: #A66844 !important;
    border-bottom: 2px solid rgba(191, 151, 128, 0.3764705882);
  }
  #title-bar #titlebar-action {
    vertical-align: middle;
  }
  #title-bar i {
    color: #A66844;
  }
  #title-bar h1 {
    margin: 0;
    vertical-align: middle;
    font-size: 1rem;
  }
  #desktop-header {
    display: block;
  }
  #desktop-footer {
    display: block;
  }
  .searchbar {
    background-color: transparent;
  }
  .searchbar.sticky {
    background-color: #F2F2F2;
    border-bottom-left-radius: 0.6rem;
    border-bottom-right-radius: 0.6rem;
  }
  .fullscreen {
    padding: 0;
    max-width: 100vw;
    height: 100vh;
    overflow-y: auto;
  }
  .fullscreen article {
    max-width: 680px;
    margin: 0 auto;
  }
  .fullscreen .fab {
    right: calc(50vw - 340px) !important;
  }
  #cancel-qr-code {
    top: 0px;
    z-index: 1030;
  }
  .timeline-entry {
    justify-content: start !important;
  }
  .timeline-entry .timeline-entry-node {
    min-width: 116px;
  }
  .timeline-entry .timeline-entry-details {
    flex: 0 0 auto;
    width: auto;
  }
}
@media (max-width: 1496px) {
  .fab {
    right: 18px !important;
  }
}
.table td {
  vertical-align: middle;
}
.table .checkbox-column {
  width: 1%;
}

.bb-table {
  border-radius: 0.6rem;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  overflow: hidden;
  border: 1px solid lightgray;
}

.bb-grid-pagination-text {
  padding: 6px;
}

/* hide up/down spinner in numeric inputs */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

@media (max-width: 1199.98px) {
  .show-on-desktop {
    display: none;
  }
}
.accordion-body {
  background-color: lightgray;
}

.accordion-button:not(.collapsed) {
  background-color: #A66844;
  color: white;
}
.accordion-button:not(.collapsed)::after {
  filter: invert(1);
}
.accordion-button:focus {
  box-shadow: none;
}

.cursor-pointer {
  cursor: pointer;
}

#animalmark-buttons {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 16px;
}

@media (max-width: 1199.98px) {
  .show-on-desktop {
    display: none;
  }
}
.accordion-body {
  background-color: lightgray;
}

.accordion-button:not(.collapsed) {
  background-color: #A66844;
  color: white;
}
.accordion-button:not(.collapsed)::after {
  filter: invert(1);
}
.accordion-button:focus {
  box-shadow: none;
}

.cursor-pointer {
  cursor: pointer;
}

.two-digit-input {
  min-width: 46px;
  text-align: center;
}

#animalmark-buttons {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 16px;
}

.narrow-farminput {
  width: 80px;
}

.narrow-input {
  width: 6rem;
}
